// packageE/simplegraph/simplegraph.js
const app = getApp();
Component({
  properties: {
    datas: {
      type: null,
    },
    component_id: {
      type: null,
    },
  },
  // 私有数据，可用于模板渲染
  data: {
    emptyImage: "https://mini-app-img-1251768088.cos.ap-guangzhou.myqcloud.com/image.png",
    clientWidth: "375",
    showMargin: true
  },
  observers: {
    'datas': function (info) {
      this.setData({
        list: this.data.datas.list,
        clientWidth: wx.getSystemInfoSync().windowWidth,
      });
    }
  },
  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {
      let res = wx.getSystemInfoSync();
      if (res.platform == 'ios') {
        this.setData({
          showMargin: false
        });
      }
    },
    moved() {},
    detached() {},
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {},
  // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {
    this.setData({
      list: this.data.datas.list,
      clientWidth: wx.getSystemInfoSync().windowWidth,
    });
  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {},
  },
  methods: {
    imgload(evt) {
      // console.log("加载完成",evt)
      this.triggerEvent("imgload", evt);
    },
    toAreaUrl(e) {
      let item = e.currentTarget.dataset.item;
      if (this.data.datas.choose_style == 2) {
        return;
      }
      if (item.is_minApp == 2) {
        if (item.gh_id) {
          if (item.minApp_link) {
            try {
              wx.navigateToMiniProgram({
                appId: item.gh_id,
                path: item.minApp_link,
                extraData: {},
                envVersion: "release",
                success(res) {
                  // 打开成功
                },
                fail(res) {
                  wx.showToast({
                    title: "小程序跳转失败",
                    icon: "none",
                    duration: 2000,
                  });
                },
              });
            } catch (e) {
              wx.showToast({
                title: "小程序跳转失败",
                icon: "none",
                duration: 2000,
              });
            }
          } else {
            wx.showToast({
              title: "请设置跳转小程序后的跳转链接",
              icon: "none",
              duration: 2000,
            });
          }
        } else {
          wx.showToast({
            title: "请设置小程序所需跳转appId",
            icon: "none",
            duration: 2000,
          });
        }
      } else {
        let url = item.h5_link;
	      let value = wx.getStorageSync("yz_uid");
	      let customParams = { mid: value };
        try {
	        if(url.indexOf("pages/live-player-plugin") > 0) {
		        url = url + `&open_share_ticket=1&custom_params=${encodeURIComponent(JSON.stringify(customParams))}`;
	        }
          wx.navigateTo({
            url: url,
          });
        } catch (e) {
          wx.showToast({
            title: "链接设置错误",
            icon: "none",
            duration: 2000,
          });
        }
      }
    },
    goimgurl(e) {
      let item = e.currentTarget.dataset.item;
      if (this.data.datas.choose_style != 2) {
        return;
      }
      if (item.is_minApp == 2) {
        if (item.gh_id) {
          if (item.minApp_link) {
            try {
              wx.navigateToMiniProgram({
                appId: item.gh_id,
                path: item.minApp_link,
                extraData: {},
                envVersion: "release",
                success(res) {
                  // 打开成功
                },
                fail(res) {
                  wx.showToast({
                    title: "小程序跳转失败",
                    icon: "none",
                    duration: 2000,
                  });
                },
              });
            } catch (e) {
              wx.showToast({
                title: "小程序跳转失败",
                icon: "none",
                duration: 2000,
              });
            }
          } else {
            if (app._isTextEmpty(item.minApp_link)) {
              wx.previewImage({
                current: item.image, // 当前显示图片的http链接
                urls: [item.image] // 需要预览的图片http链接列表
              });
              return;
            }
            wx.showToast({
              title: "请设置跳转小程序后的跳转链接",
              icon: "none",
              duration: 2000,
            });
          }
        } else {
          if (app._isTextEmpty(item.gh_id)) {
            wx.previewImage({
              current: item.image, // 当前显示图片的http链接
              urls: [item.image] // 需要预览的图片http链接列表
            });
            return;
          }
          wx.showToast({
            title: "请设置小程序所需跳转appId",
            icon: "none",
            duration: 2000,
          });
        }
      } else {
        let url = item.h5_link;
        let value = wx.getStorageSync("yz_uid");
	      let customParams = { mid: value };
        if( app._isTextEmpty(item.h5_link) ){
          wx.previewImage({
            current: item.image, // 当前显示图片的http链接
            urls: [item.image] // 需要预览的图片http链接列表
          });
          return;
        }
        try {
	        if(url.indexOf("pages/live-player-plugin") > 0) {
		        url = url + `&open_share_ticket=1&custom_params=${encodeURIComponent(JSON.stringify(customParams))}`;
	        }
          wx.navigateTo({
            url: url,
          });
        } catch (e) {
          wx.showToast({
            title: "链接设置错误",
            icon: "none",
            duration: 2000,
          });
        }
      }
    },
  },
});